curl https://api.portkey.ai/v1/embeddings \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"input": "The food was delicious and the waiter...",
"model": "text-embedding-ada-002",
"encoding_format": "float"
}'{
"data": [
{
"index": 123,
"embedding": [
123
],
"object": "embedding"
}
],
"model": "<string>",
"object": "list",
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}Embeddings
curl https://api.portkey.ai/v1/embeddings \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-d '{
"input": "The food was delicious and the waiter...",
"model": "text-embedding-ada-002",
"encoding_format": "float"
}'{
"data": [
{
"index": 123,
"embedding": [
123
],
"object": "embedding"
}
],
"model": "<string>",
"object": "list",
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}Portkey is now PRISMA AIRS AI Gateway. See it in action.
Authorizations
Body
Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for text-embedding-ada-002), cannot be an empty string, and any array must be 2048 dimensions or less. Example Python code for counting tokens.
"The quick brown fox jumped over the lazy dog"
ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.
"text-embedding-3-small"
The format to return the embeddings in. Can be either float or base64.
float, base64 "float"
A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.
"user-1234"
Response
OK
Was this page helpful?

